想要讓公司內的 rails 網站吃 ldap 認證,在安裝上遇到一些小麻煩。

在經過同事 stephon 的幫忙和自己整理後如下:

#sudo apt-get install libldap2-dev libsasl2-dev
都要裝 dev 版本

#sudo gem install ruby-ldap
安裝 ruby-ldap。但這樣還沒完

參考官方文件會發現還需要下面步驟

#cd /usr/local/lib/ruby/gems/1.8/gems/ruby-ldap-0.9.11
#sudo ruby extconf.rb --with-openldap2
#sudo make
#sudo make install

這些都完成後會在 /usr/local/lib/ruby/site_ruby/1.8  底下發現多了 ldap 資料夾,
此時就可以正常操作了

創作者介紹
創作者 沒力小僧 的頭像
沒力小僧

Manic's Talk

沒力小僧 發表在 痞客邦 留言(0) 人氣()